# SPDX-FileCopyrightText: Peter Pentchev <roam@ringlet.net>
# SPDX-License-Identifier: BSD-2-Clause

[workspace]
resolver = "3"
members = [
  "rust/crates/timelimit",
  "rust/crates/timelimit-cli",
]

[workspace.package]
version = "1.9.5"
rust-version = "1.94"
edition = "2024"
authors = ["Peter Pentchev <roam@ringlet.net>"]
license-file = "LICENSES/BSD-2-Clause.txt"
repository = "https://gitlab.com/timelimit/timelimit"
homepage = "https://devel.ringlet.net/sysutils/timelimit/"
keywords = ["process", "limit", "time", "timeout"]

[workspace.dependencies]
anyhow = "1.0.65"
clap = "4.5.12"
clap_derive = "4.5.12"
eyre = "0.6.12"
itertools = ">= 0.13.0, < 0.16"
log = "0.4.26"
nix = ">= 0.29.0, < 0.32"
oneshot = "0.2.1"
simple_logger = "5.0.0"
smol = "2.0.2"
sysexits = "0.13.0"
roundlet = ">= 0.1.1, < 0.3"
timelimit = { version = "1.9.5", path = "rust/crates/timelimit", default-features = false }
